| Home | Libraries | People | FAQ | More

### posix::stream_descriptor_service

Default service implementation for a stream descriptor.

    class stream_descriptor_service :
      public io_service::service

##### Types

Name | Description
--- | ---
implementation_type | The type of a stream descriptor implementation.
native_type | The native descriptor type.

##### Member Functions

Name | Description
--- | ---
assign | Assign an existing native descriptor to a stream descriptor.
async_read_some | Start an asynchronous read.
async_write_some | Start an asynchronous write.
cancel | Cancel all asynchronous operations associated with the descriptor.
close | Close a stream descriptor implementation.
construct | Construct a new stream descriptor implementation.
destroy | Destroy a stream descriptor implementation.
get_io_service | Get the io_service object that owns the service.
io_control | Perform an IO control command on the descriptor.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
is_open | Determine whether the descriptor is open.
native | Get the native descriptor implementation.
read_some | Read some data from the stream.
shutdown_service | Destroy all user-defined descriptorr objects owned by the service.
stream_descriptor_service | Construct a new stream descriptor service for the specified io_service.
write_some | Write the given data to the stream.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.